use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct Form {
    pub id: Option<String>,
    pub name: String,
    pub fields: serde_json::Value, // JSON array of form fields
}

#[derive(Serialize, Deserialize)]
pub struct Submission {
    pub id: String,
    pub form_id: String,
    pub data: serde_json::Value, // JSON of submission data
}
